%global base_name       compress
%global short_name      commons-%{base_name}

Name:           apache-%{short_name}
Version:        1.5
Release:        %mkrel 4
Summary:        Java API for working with compressed files and archivers
Group:          Development/Java
License:        ASL 2.0
URL:            http://commons.apache.org/%{base_name}/
Source0:        http://archive.apache.org/dist/commons/%{base_name}/source/%{short_name}-%{version}-src.tar.gz
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  javapackages-tools >= 0.10.0
BuildRequires:  apache-commons-parent
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  xz-java

Provides:       jakarta-%{short_name} = %{version}-%{release}
Obsoletes:      jakarta-%{short_name} < 1.0-2

%description
The Apache Commons Compress library defines an API for working with
ar, cpio, Unix dump, tar, zip, gzip, XZ, Pack200 and bzip2 files.


%package javadoc
Summary:        API documentation for %{name}
Group:          Documentation
Provides:       jakarta-%{short_name}-javadoc = %{version}-%{release}
Obsoletes:      jakarta-%{short_name}-javadoc < 1.0-2

%description javadoc
This package provides %{summary}.

%prep
%setup -q -n %{short_name}-%{version}-src

%build
%mvn_file  : %{short_name} %{name}
%mvn_alias : commons:
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.5-4.mga4
+ Revision: 545590
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 1.5-3.mga4
+ Revision: 501432
- Fix buildrequires

* Fri Sep 20 2013 dmorgan <dmorgan> 1.5-2.mga4
+ Revision: 482643
- Rebuild against new javapackages

* Wed Sep 18 2013 dmorgan <dmorgan> 1.5-1.mga4
+ Revision: 481120
- New upstream version 1.5

* Thu Jul 11 2013 dmorgan <dmorgan> 1.4.1-3.mga4
+ Revision: 453063
- Build with xmvn

* Fri Jan 11 2013 umeabot <umeabot> 1.4.1-2.mga3
+ Revision: 345670
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 dmorgan <dmorgan> 1.4.1-1.mga3
+ Revision: 257731
- Updated to 1.4.1
- Fixes CVE-2012-2098 Low: Denial of Service

* Fri Jan 06 2012 dmorgan <dmorgan> 1.3-2.mga2
+ Revision: 192146
- Fix file list

* Fri Dec 09 2011 dmorgan <dmorgan> 1.3-1.mga2
+ Revision: 179558
- New version 1.3

* Tue Sep 06 2011 tv <tv> 1.2-1.mga2
+ Revision: 139173
- new release

* Wed Apr 27 2011 dmorgan <dmorgan> 1.1-2.mga1
+ Revision: 92226
- Rebuild after bootstrapping
- imported package apache-commons-compress


* Sat Apr 16 2011 Chris Spike <spike@fedoraproject.org> 1.1-1
- Updated to 1.1
- Adapted to current java packaging guidelines

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 11 2010 Sandro Mathys <red at fedoraproject.org> - 1.0-8
- Fixed the Maven depmap line by replacing org.apache.maven by org.apache.commons

* Mon May 31 2010 Sandro Mathys <red at fedoraproject.org> - 1.0-7
- Fixed regression with missing Provides/Obsoletes for javadocs
- Fixed changelog format

* Sun May 23 2010 Sandro Mathys <red at fedoraproject.org> - 1.0-6
- Fixed Maven depmap to use commons-compress

* Thu May 13 2010 Sandro Mathys <red at fedoraproject.org> - 1.0-5
- Added missing Provides/Obsoletes for javadocs 

* Mon May 10 2010 Sandro Mathys <red at fedoraproject.org> - 1.0-4
- Cleared some problems after the review

* Thu May 06 2010 Sandro Mathys <red at fedoraproject.org> - 1.0-3
- Now using maven2 (mvn-jpp) instead of directly calling javac & co

* Tue May 04 2010 Sandro Mathys <red at fedoraproject.org> - 1.0-2
- Renamed from jakarta-commons-compress
